<div class="modal fade" id="deleteAccountModal" tabindex="-1" role="dialog" aria-labelledby="deleteAccountModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="deleteAccountModalLabel">{{ 'delete.account.label'|trans({}, 'frontends') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="container">


                    <div id="delete_account_error"><label></label></div>

                    <div class="row" id="rw-da-step-1" data-url="{{ url('private_verify_password') }}" style="{{ user.isFromSocial is defined and user.isFromSocial ? 'display: none;' }}">
                        <div class="col">

                            <p>{{ 'confirm.identity.by.password'|trans({}, 'frontends') }}</p>

                            {# the argument of csrf_token() is an arbitrary value used to generate the token #}
                            <input id="hdn-token-da" type="hidden" value="{{ csrf_token('hdn_token_verify_password') }}" />

                            <label for="da_password">{{ 'form.password'|trans({},'FOSUserBundle') }}</label>
                            <div class="input-group">
                                <input type="password" name="password" class="inp-cls-pwd form-control" id="da_password" placeholder="{{ 'password.placeholder'|trans({}, 'frontends') }}">
                                <div class="input-group-append toggle-password">
                                    <span class="input-group-text"><i class="fas fa-eye"></i></span>
                                </div>
                            </div>

                            <div class="mt-4 mb-1">
                                <div class="float-left">
                                    <a href="{{ path('fos_user_resetting_request') }}">{{ 'forgot.password'|trans({}, 'messages') }}</a>
                                </div>
                                <div class="float-right">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>
                                    <button id="btn-da-step-1" class="btn btn-primary" type="button">{{ 'continue.label'|trans({}, 'frontends') }}</button>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                        </div>
                    </div>

                    <div class="row" id="rw-da-step-2" data-url="{{ url('private_delete_account') }}" style="{{ user.isFromSocial is defined and user.isFromSocial ? '':'display: none;' }}">
                        <div class="col">
                            <p>{{ 'message.confirm.delete.account'|trans({}, 'frontends') }}</p>

                            <input id="hdn-token-da-confirmation" type="hidden" value="{{ csrf_token('delete_account_confirmation') }}" />

                            <div class="mt-4 mb-1">
                                <div class="float-right">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>
                                    <button id="btn-da-step-2" class="btn btn-danger" type="button">{{ 'delete.account.label'|trans({}, 'frontends') }}</button>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                        </div>
                    </div>

                    <div class="row" id="rw-da-step-3" style="display: none;">
                        <div class="col">
                            <p>{{ 'message.success.delete.account'|trans({}, 'frontends') }}</p>
                        </div>
                    </div>


                </div>
            </div>
            {#<div class="modal-footer">#}
                {#<button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>#}
                {#<button type="button" class="btn btn-primary" id="sub-change-password-form" data-url="{{ url('private_change_password') }}">{{ 'save.changes.label'|trans({}, 'frontends') }}</button>#}
            {#</div>#}
        </div>
    </div>
</div>